<?php

namespace Versae\Test\Fixture;

use Cake\TestSuite\Fixture\TestFixture;

/**
 * FormsFixture
 */
class FormsFixture extends TestFixture
{
    /**
     * Init method
     *
     * @return void
     */
    public function init(): void
    {
        $this->records = [
            [// id=1
                'org_entity_id' => 2,
                'name' => 'testunit_editing',
                'description' => 'editing form',
                'archiving_system_id' => 1,
                'identifier' => 'testunit_editing',
                'version_number' => 1,
                'version_note' => 'Lorem ipsum dolor sit amet',
                'state' => 'editing',
                'last_state_update' => '2021-05-21T11:37:12',
                'states_history' => null,
                'user_guide' => 'Lorem ipsum dolor sit amet',
                'created' => '2021-05-21T11:37:12',
                'seda_version' => 'seda1.0',
                'tested' => false,
            ],
            [// id=2
                'org_entity_id' => 2,
                'name' => 'testunit_published',
                'description' => 'published form',
                'archiving_system_id' => 1,
                'identifier' => 'testunit_published',
                'version_number' => 1,
                'version_note' => 'Lorem ipsum dolor sit amet',
                'state' => 'deprecated',
                'last_state_update' => '2023-09-05T11:02:51',
                'states_history' => '[{"date":"2023-09-05T11:02:51.702620+0200","state":"deprecated"}]',
                'user_guide' => 'Lorem ipsum dolor sit amet',
                'created' => '2021-05-21T11:37:12',
                'seda_version' => 'seda2.1',
                'tested' => true,
            ],
            [// id=3
                'org_entity_id' => 2,
                'name' => 'testunit_deactivated',
                'description' => 'deactivated form',
                'archiving_system_id' => 1,
                'identifier' => 'testunit_deactivated',
                'version_number' => 1,
                'version_note' => 'Lorem ipsum dolor sit amet',
                'state' => 'deactivated',
                'last_state_update' => '2021-05-21T11:37:12',
                'states_history' => null,
                'user_guide' => 'Lorem ipsum dolor sit amet',
                'created' => '2021-05-21T11:37:12',
                'seda_version' => 'seda2.1',
                'tested' => true,
            ],
            [// id=4
                'org_entity_id' => 2,
                'name' => 'testunit_deprecated',
                'description' => 'deprecated form',
                'archiving_system_id' => 1,
                'identifier' => 'testunit_deprecated',
                'version_number' => 1,
                'version_note' => 'Lorem ipsum dolor sit amet',
                'state' => 'deprecated',
                'last_state_update' => '2021-05-21T11:37:12',
                'states_history' => null,
                'user_guide' => 'Lorem ipsum dolor sit amet',
                'created' => '2021-05-21T11:37:12',
                'seda_version' => 'seda2.1',
                'tested' => true,
            ],
            [// id=5
                'org_entity_id' => 2,
                'name' => 'testunit_published_2',
                'description' => 'published form 2',
                'archiving_system_id' => 1,
                'identifier' => 'testunit_published_2',
                'version_number' => 1,
                'version_note' => 'Lorem ipsum dolor sit amet',
                'state' => 'published',
                'last_state_update' => '2021-05-21T11:37:12',
                'states_history' => null,
                'user_guide' => 'Lorem ipsum dolor sit amet',
                'created' => '2021-05-21T11:37:12',
                'seda_version' => 'seda2.1',
                'tested' => true,
            ],
            [// id=6
                'org_entity_id' => 2,
                'name' => 'testunit_publishable',
                'description' => 'publishable form',
                'archiving_system_id' => 1,
                'identifier' => 'testunit_publishable',
                'version_number' => 1,
                'version_note' => 'Lorem ipsum dolor sit amet',
                'state' => 'editing',
                'last_state_update' => '2021-05-21T11:37:12',
                'states_history' => null,
                'user_guide' => 'Lorem ipsum dolor sit amet',
                'created' => '2021-05-21T11:37:12',
                'seda_version' => 'seda2.1',
                'tested' => true,
            ],
            [// id=7
                'org_entity_id' => 2,
                'name' => 'test section multiples',
                'description' => 'test section multiples',
                'archiving_system_id' => 1,
                'identifier' => 'ec81da72-cd46-11ed-8a1a-0fb174effe7c',
                'version_number' => 1,
                'version_note' => 'Création du formulaire',
                'state' => 'published',
                'last_state_update' => '2023-03-28T11:05:21',
                'states_history' => '[{"date":"2023-03-28T11:05:21.042987+0200","state":"published"}]',
                'user_guide' => '<p>test</p>',
                'created' => '2023-03-28T11:00:01',
                'seda_version' => 'seda2.1',
                'tested' => true,
            ],
            [// id=8
                'org_entity_id' => 2,
                'name' => 'testunit_editing_bis',
                'description' => 'editing form',
                'archiving_system_id' => 1,
                'identifier' => 'testunit_editing_bis',
                'version_number' => 1,
                'version_note' => 'Lorem ipsum dolor sit amet',
                'state' => 'editing',
                'last_state_update' => '2021-05-21T11:37:12',
                'states_history' => null,
                'user_guide' => 'Lorem ipsum dolor sit amet',
                'created' => '2021-05-21T11:37:12',
                'seda_version' => 'seda1.0',
                'tested' => false,
            ],
            [// id=9
                'org_entity_id' => 2,
                'name' => 'testunit_published',
                'description' => 'published form',
                'archiving_system_id' => 1,
                'identifier' => 'testunit_published',
                'version_number' => 2,
                'version_note' => 'test',
                'state' => 'published',
                'last_state_update' => '2023-09-05T11:02:51',
                'states_history' => '[{"date":"2023-09-05T11:02:51.697543+0200","state":"published"}]',
                'user_guide' => 'Lorem ipsum dolor sit amet',
                'created' => '2023-09-05T11:01:12',
                'seda_version' => 'seda2.1',
                'tested' => false,
            ],
        ];
        parent::init();
    }
}
